Cannot install Beta or Dev

I am running MacOS Sierra. I have Brave Stable installed and have been using for weeks. I cannot install Beta or Dev. Well, I can install them but they do not run…instantly crash. I tried using them because I am not receiving ad notifications (or not seeing them, it says I have received them)

This topic was automatically closed after 30 days. New replies are no longer allowed.